--[[
        Engine Of Love - a framework for the LÖVE game engine
        Copyright (C) 2013 vitaminx (vitaminx@callistix.net)

        This program is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program.  If not, see <http://www.gnu.org/licenses/>.
--]]

require "engineoflove/inc/callbacks"
require "engineoflove/inc/main"
require "engineoflove/inc/const"

require "engineoflove/prefs"
if love.filesystem.isFile("prefs.lua") then require "prefs" end
require "engineoflove/keys"
if love.filesystem.isFile("keys.lua") then require "keys" end

require "engineoflove/inc/prefs"
require "engineoflove/inc/screen"
require "engineoflove/inc/audio"
require "engineoflove/inc/osd"
require "engineoflove/inc/debug"
require "engineoflove/inc/misc"
